# viewpoint

#### new viewpoint(selection)

Constructor

Source:
  - component/viewpoint.js, line 23

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) centerOfRotation(_v) → {*}

Centre of Rotation Getter / Setter

Source:
  - component/viewpoint.js, line 84

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array.<number>` | Centre of rotation.

##### Returns:

Type:
  `*`

#### (static) fieldOfView(_v) → {*}

Field of View Getter / Setter

Source:
  - component/viewpoint.js, line 120

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Field of view.

##### Returns:

Type:
  `*`

#### (static) quickView(view) → {my}

Set Quick Viewpoint

Source:
  - component/viewpoint.js, line 45

##### Parameters:

Name | Type | Description
--- | --- | ---
`view` | `string` | "left", "side", "top", "dimetric"

##### Returns:

Type:
  `my`

#### (static) viewOrientation(_v) → {*}

View Orientation Getter / Setter

Source:
  - component/viewpoint.js, line 108

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array.<number>` | View orientation.

##### Returns:

Type:
  `*`

#### (static) viewPosition(_v) → {*}

View Position Getter / Setter

Source:
  - component/viewpoint.js, line 96

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array.<number>` | View position.

##### Returns:

Type:
  `*`